Package org.apache.wiki.api.core

# Enum ContextEnum

java.lang.Object
java.lang.Enum<ContextEnum>
org.apache.wiki.api.core.ContextEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ContextEnum>`

public enum ContextEnum extends Enum<ContextEnum>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GROUP_DELETE`
`GROUP_EDIT`
`GROUP_VIEW`
`PAGE_ATTACH`
`PAGE_COMMENT`
`PAGE_CONFLICT`
`PAGE_DELETE`
`PAGE_DIFF`
`PAGE_EDIT`
`PAGE_INFO`
`PAGE_NONE`
`PAGE_PREVIEW`
`PAGE_RENAME`
`PAGE_RSS`
`PAGE_UPLOAD`
`PAGE_VIEW`
`REDIRECT`
`WIKI_ADMIN`
`WIKI_CREATE_GROUP`
`WIKI_ERROR`
`WIKI_FIND`
`WIKI_INSTALL`
`WIKI_LOGIN`
`WIKI_LOGOUT`
`WIKI_MESSAGE`
`WIKI_PREFS`
`WIKI_WORKFLOW`

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentTemplate()`
`String`
`getRequestContext()`
`String`
`getUrlPattern()`
`static ContextEnum`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ContextEnum[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GROUP_DELETE

public static final ContextEnum GROUP_DELETE

### GROUP_EDIT

public static final ContextEnum GROUP_EDIT

### GROUP_VIEW

public static final ContextEnum GROUP_VIEW

### PAGE_ATTACH

public static final ContextEnum PAGE_ATTACH

### PAGE_COMMENT

public static final ContextEnum PAGE_COMMENT

### PAGE_CONFLICT

public static final ContextEnum PAGE_CONFLICT

### PAGE_DELETE

public static final ContextEnum PAGE_DELETE

### PAGE_DIFF

public static final ContextEnum PAGE_DIFF

### PAGE_EDIT

public static final ContextEnum PAGE_EDIT

### PAGE_INFO

public static final ContextEnum PAGE_INFO

### PAGE_NONE

public static final ContextEnum PAGE_NONE

### PAGE_PREVIEW

public static final ContextEnum PAGE_PREVIEW

### PAGE_RENAME

public static final ContextEnum PAGE_RENAME

### PAGE_RSS

public static final ContextEnum PAGE_RSS

### PAGE_UPLOAD

public static final ContextEnum PAGE_UPLOAD

### PAGE_VIEW

public static final ContextEnum PAGE_VIEW

### REDIRECT

public static final ContextEnum REDIRECT

### WIKI_ADMIN

public static final ContextEnum WIKI_ADMIN

### WIKI_CREATE_GROUP

public static final ContextEnum WIKI_CREATE_GROUP

### WIKI_ERROR

public static final ContextEnum WIKI_ERROR

### WIKI_FIND

public static final ContextEnum WIKI_FIND

### WIKI_INSTALL

public static final ContextEnum WIKI_INSTALL

### WIKI_LOGIN

public static final ContextEnum WIKI_LOGIN

### WIKI_LOGOUT

public static final ContextEnum WIKI_LOGOUT

### WIKI_MESSAGE

public static final ContextEnum WIKI_MESSAGE

### WIKI_PREFS

public static final ContextEnum WIKI_PREFS

### WIKI_WORKFLOW

public static final ContextEnum WIKI_WORKFLOW

## Method Details

### values

public static ContextEnum[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ContextEnum valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getContentTemplate

public String getContentTemplate()

### getRequestContext

public String getRequestContext()

### getUrlPattern

public String getUrlPattern()